%define  patch_name kernel-feat-core-lowlatency

Name: %{patch_name}
Version: 2006.05.21
Release: alt0.1
Summary: %patch_name kernel patch - low latency patch
License: GPL
Group: Development/Other
BuildArch: noarch

# Kernel 2.4 patches (-ck and -lowlatency)
%source 1 2.4_01_2.4.28-low-latency.patch 		2.4
%source 1 2.4_01_2.4.29_o1_preempt_sched.patch		2.4/not_kernel-feat-core-win4lin
%source 2 2.4_02-readlatency2.patch			2.4/not_kernel-feat-drivers-pktcdvd
%source 3 2.4_03-rl2dt.patch				2.4/not_kernel-feat-drivers-pktcdvd
%source 4 2.4_04-j64.patch		 		2.4/not_kernel-feat-drivers-pktcdvd
%source 5 2.4_05-vhz.patch		 		2.4/not_kernel-feat-drivers-pktcdvd

# Kernel 2.6 patches (2.6.16-ck3)
%source 72	2.6_72-sched-implement-smpnice.patch	2.6
%source 73	2.6_73-sched-smpnice-apply-review-suggestions.patch	2.6
%source 74	2.6_74-sched-smpnice-fix-average-load-per-run-queue-calculations.patch	2.6
%source 75	2.6_75-sched-store-weighted-load-on-up.patch	2.6
%source 76	2.6_76-sched-add-discrete-weighted-cpu-load-function.patch	2.6
%source 77	2.6_77-sched-add-above-background-load-function.patch	2.6
%source 78	2.6_78-sched-staircase14.2.patch	2.6
%source 79	2.6_79-sched-generic_optims2.patch	2.6
%source 80	2.6_80-schedrange-2.diff	2.6
%source 81	2.6_81-sched-iso-4.1.patch	2.6
%source 82	2.6_82-sched-idleprio-1.2.patch	2.6
%source 822	2.6_822-sched-staircase14.2_15.patch 2.6
%source 83	2.6_83-defaultcfq.diff	2.6
%source 84	2.6_84-iso_idleprio_ionice.patch	2.6
%source 85	2.6_85-rt_ionice.diff	2.6
%source 86	2.6_86-pdflush-tweaks.patch	2.6
%source 87	2.6_87-hz-default_values.patch	2.6
%source 88	2.6_88-hz-no_default_250.patch	2.6
%source 89	2.6_89-mm-swap_prefetch-30.patch	2.6
%source 90	2.6_90-vm-mapped-1.diff	2.6
%source 91	2.6_91-vm-lots_watermark.diff	2.6
%source 92	2.6_92-mm-background_scan.patch	2.6
%source 93	2.6_93-mm-kswapd_inherit_prio-1.patch	2.6
%source 94	2.6_94-mm-prio_dependant_scan-1.patch	2.6
%source 95	2.6_95-mm-idleprio_prio.patch	2.6
%source 97	2.6_97-sp-resume1.patch	2.6
%source 98	2.6_98-mm-aggresive_swap_prefetch.patch	2.6
%source 99	2.6_99-swsusp-post_resume_aggressive_swap_prefetch-1.patch	2.6
%source 100	2.6__100-adaptive-readahead-11.patch	2.6
# 2.6.16-ck6 
%source 101	2.6__101-sched-s15_test2.patch	2.6
# 2.6.16-ck9
%source 102	2.6__102-sched-fix_idleprio.patch	2.6
# 2.6.16-ck10
%source 103	2.6__103-mm-swap_prefetch_fix.patch	2.6
# 2.6.16-ck11
%source 104	2.6__104-mm-implement-swap-prefetching-sched-batch.patch	2.6
%source 105	2.6__105-mm-swap-prefetch-fix-lowmem-reserve-calc.patch		2.6
%source 106	2.6__106-swap-prefetch-fix-lru_cache_add_tail.patch		2.6
%source 107	2.6__107-swap-prefetch-fix-lru_cache_add_tail-tidy.patch	2.6

#
%source 200	2.6__200-fix-adaptive-readahead-11.patch    2.6/kernel-fix-core
%source 201     2.6__201-not_fix-adaptive-readahead-11.patch    2.6/not_kernel-fix-core

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.6-alt1

%description
Low latency and perfomance kernel patches (based on Con Kolivas and Andrew
Morton patches).

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Wed May 24 2006 LAKostis <lakostis at altlinux.ru> 2006.05.21-alt0.1
- Add 2.6.16-ck10 patchset:
  + 2.6__103-mm-swap_prefetch_fix.patch - Locking fox for swap prefetch 
    thanks to Ingo Molnar
- Add 2.6.16-ck11 patchset (Updated to current swap prefetch code):
  + 2.6__104-mm-implement-swap-prefetching-sched-batch.patch
  + 2.6__105-mm-swap-prefetch-fix-lowmem-reserve-calc.patch
  + 2.6__106-swap-prefetch-fix-lru_cache_add_tail.patch
  + 2.6__107-swap-prefetch-fix-lru_cache_add_tail-tidy.patch

* Wed May 03 2006 LAKostis <lakostis at altlinux.ru> 2006.05.02-alt0.1
- Add 2.6.16-ck6 patchset:
  + 2.6__101-sched-s15_test2.patch - Fix for frequently forking tasks with
    staircase cpu scheduler
- Add 2.6.16-ck9 patchset:
  + 2.6__102-sched-fix_idleprio.patch - A small bug crept in that prevented
    SCHED_IDLEPRIO tasks from being scheduled normally when they held a semaphore
    making it possible to livelock. This fixes it.
- Remove ipmi apply patches (due lack of nmi part in -feat-ipmi).

* Mon May 01 2006 LAKostis <lakostis at altlinux.ru> 2006.04.02-alt0.3
- Add patches fixing applying w/ feat-ipmi.

* Wed Apr 26 2006 LAKostis <lakostis at altlinux.ru> 2006.04.02-alt0.2
- Add patches fixing applying w/ fix-core. 

* Sun Apr 02 2006 LAKostis <lakostis at altlinux.ru> 2006.04.02-alt0.1
- Add 2.6.16-ck3 patchset.

* Wed Mar 21 2006 LAKostis <lakostis at altlinux.ru> 2006.03.20-alt0.1
- Add 2.6.16-ck1 patchset.

* Tue Feb 21 2006 LAKostis <lakostis at altlinux.ru> 2006.02.21-alt1
- Backported swap_prefetch from 2.6.16-rc4-ck1.

* Thu Dec 15 2005 LAKostis <lakostis at altlinux.ru> 2005.12.15-alt1
- Updated to -ck7 for 2.6.14.

* Sat Dec 10 2005 LAKostis <lakostis at altlinux.ru> 2005.11.26-alt1
- Updated to -ck6 for 2.6.14.
- Move swsusp2 patches into -feat-swsusp package.

* Fri Nov 04 2005 LAKostis <lakostis at altlinux.ru> 2005.08.06-alt1.1
- Updated swsusp_apply patch to work with new swsusp2 code (by yust@).

* Sat Aug 06 2005 LAKostis <lakostis at altlinux.ru> 2005.08.06-alt1
- semi-update to -ck5:
  Removed patches:
  - schediso2.12.diff - SCHED_ISO was dropped entirely. 
    Use set_rtlimits instead.
  Updated patches:
  + batch_ionice.diff - Remove check for SCHED_ISO
- sync with -ck-dev patches:
  Added patches:
  + 2.6_19-bfvm.patch.patch - An attempt to create a more comprehensive 
    solution to the never ending swap vs file cache pressure issue 
    than mapped watermark 3 is.
  + 2.6_20-pdflush-tweaks.patch
  Updated patches:
  + 2.6_17-rc5-dtck-4.patch - update dynamic ticks patch for i386.
  
* Mon Aug 01 2005 LAKostis <lakostis at altlinux.ru> 2005.08.01-alt1
- update to schedbatch2.9 (Make batch more robust at avoiding transient
  deadlocks on hyperthreading).
- semi-update to -ck4: 
  Added patches: 
  + 2.6_16-s11.3_s11.4.patch - Staircase cpu scheduler update. Change rr
    intervals to 5ms minimum.
  + 2.6_17-rc5-dtck-3.patch - This is the dynamic ticks patch for i386.
  + 2.6_18-hz-extra_values.patch - this patch adds the two new values 
    introduced in 2.6.12-ck4, HZ=864 and HZ=82, with 864 being the default.  
  
* Thu Jul 14 2005 LAKostis <lakostis at altlinux.ru> 2005.07.01-alt1
- updated to -ck3 for 2.6.12.
- remove obsoleted patches.
- adopted patch not to conflict with swsusp patch.

* Sun May 28 2005 LAKostis <lakostis at altlinux.ru> 2005.05.28-alt1
- updated to -ck9 for 2.6.11.

* Mon May 23 2005 LAKostis <lakostis at altlinux.ru> 2005.05.15-alt1
- updated to -ck8 for 2.6.11.
- remove Win4Lin stub patches.

* Sat Apr 02 2005 LAKostis <lakostis at altlinux.ru> 2005.03.19-alt1.1
- fix for proper SCHED_ISO priority change.
- update patches not to conflict with reiser4 without win4lin.

* Sun Mar 20 2005 LAKostis <lakostis at altlinux.ru> 2005.03.19-alt1
- updated to -ck2 for 2.6.11.
- Add patch for custom mousepoll interval in hidcore.
- adopted patch not to conflict with Win4Lin patch.

* Sat Mar 12 2005 LAKostis <lakostis at altlinux.ru> 2005.01.18-alt2.1
- Removed:
  - 2.6_99_fix_kthread_typo.patch - it should be in swsusp patches.
  
* Sat Feb 12 2005 LAKostis <lakostis at altlinux.ru> 2005.01.18-alt2
- update 2.4 patchset for 2.4.29 kernel
- Removed:
  - 2.4_01_2.4.27_o1_preempt_sched.patch
- Added:
  + 2.4_01_2.4.29_o1_preempt_sched.patch

* Sat Feb 12 2005 LAKostis <lakostis at altlinux.ru> 2005.01.18-alt1
- update 2.6 patchset to -ck5
- Removed:
  - 2.6_11_inc_total_scanned.patch 
  
* Thu Jan 27 2005 Alex Yustasov <yust@altlinux.ru> 2004.12.31-alt1.4
- fixed 2.6_98_sched-fix-scheduling-latencies-in-mttrc.patch

* Wed Jan 12 2005 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1.3
- Added:
  + 2.6_98_sched-fix-scheduling-latencies-in-mttrc.patch - fix for swsusp
  
* Mon Jan 03 2005 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1.2
- update 2.4 patches for 2.4.28 kernel.

* Fri Dec 31 2004 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1.1
- remove unwanted patches for 2.6.

* Fri Dec 31 2004 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1
- update to -ck1 for 2.6.10 + ckdev additions.
- update for 2.4.28.

* Sat Dec 11 2004 LAKostis <lakostis at altlinux.ru> 2004.12.11-alt1
- sync 2.6 patches with -ck3 tree.

* Sat Nov 10 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt3.2
- add O1 sched + preemptiple as separate patch conflicting with Win4Lin.
- strict patch list for pktcdvd.

* Sat Oct 23 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt3.1
- Marked 2.4_02-readlatency2.patch and 2.4_03-rl2dt.patch 
  as conflicting with pktcdvd patch.
- update 2.6 patches to -ck2 tree.
 
* Thu Oct 19 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt3
- Revert akpm lowlatency patch for 2.4.

* Tue Sep 16 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt2.1
- Removed:
  - 2.6_23_sc_mw.patch - reversed patch. 

* Tue Sep 16 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt2
- Sync 2.6 patches with -ck7 tree 

* Wed Sep 15 2004 LAKostis <lakostis at altlinux.ru> 2004.08.15-alt1
- Updated patches for 2.6.8 kernel
- Updated 2.4 patches to 2.4.27 version

* Sat May 15 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.15-alt1
- Updated patch version to 2.6.6 kernel

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.10-alt1
- Fixed package version (adapted to policy)

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.5-alt2
- Fixed kernel version labels

* Mon May 10 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.5-alt1
- Updated patch for 2.4 kenrel series to 2.4.25 version
- Added patches for 2.6.5 kenrel series

* Tue Nov 11 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.22-alt2
- Some patch adaptation

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.22-alt1
- Updated to 2.4.22 kernel patch

* Tue Jul 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt2
- Adapted to kernel-feat-fs-xfs patch

* Mon Jul 07 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt1
- Update to patch release for 2.4.21

* Thu May 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.21-alt0.1
- adapted to kernel policy 
